@import url('https://fonts.googleapis.com/css2?family=DM+Sans:ital,opsz,wght@0,9..40,100..1000;1,9..40,100..1000&family=Ranchers&display=swap');
/* 
    font-family: "DM Sans", sans-serif;
    font-family: "Rancher", sans-serif;
*/



*{
    box-sizing: border-box; 
    transition: 500ms;
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

html{
    scroll-behavior: smooth;
    font-family: "DM";
    background-color: var(--color-neutral);
}

body{
    font-family: "DM Sans", sans-serif;
    
}

a{
    text-decoration: none;
}

img{
    max-width: 100%; 
}

nav{
    padding: 10px;
    display: flex;
    justify-content: center;
    position: fixed;
    width: 100%;
    z-index: 99999;
    
    font-family: "Ranchers", sans-serif;
    /* background-color: #D63230; */
}

nav ol{
    /* padding: 0px; */
    max-width: 1200px;
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 1vw;
}

nav ol img{
    max-width: 180px;
    min-width: 100px;
    height: auto;
    object-fit: contain;
    /* height: 91px; */
}

nav ol li{
  /* background-color: blue; */
    /* padding: 10px; */
    /* display: flex; */
    /* justify-content: center; */
    /* width: 100%; */
    flex: 1;
    font-size: 1.8vw;
}

nav ol li a{
  display: block;
  padding: 10px;
  text-align: center;
  /* background-color: red; */
    color: #FDF1BF;
}

nav ol li a:hover{
    color: #D63230;
}
/* WSZYSTKIE SEKCJE */
section{
  min-height: 100vh;
  display: flex;
  align-items: center;
  justify-content: center;
  overflow: hidden;/*ucina/maskuje wszystko co wystaje poza sekcje - animacja cytryn*/
}
.zawartosc{
  max-width: 1200px;
  width: 100%;
  padding: 20px;
}


/********POSZCZEGÓLNE SEKCJE*********/
#hero-section {
  min-height: 100vh; 
  display: block;
}

.split-screen {
  display: flex;
  min-height: 100vh;
}

.left-side {
  background: url(../img/zdjecie-lewo-sekcja-1.png) no-repeat center right;
  background-size: cover;
  background-color: seagreen;
  flex: 5;
}

.right-side {
  flex: 3;
  background: url(../img/zdjecie-prawo-sekcja-1.png) no-repeat center left;
  background-size: contain;
  background-color: #F8D448; 
  display: flex;
  align-items: center; 
  padding-left: 50px; 
}
.text-box {
  position: relative;
  z-index: 2;      
}
.text-box h1 {
  font-family: 'Ranchers';
  font-size: 8vw;
  line-height: 0.95;
  color: #D63230;  
  text-transform: uppercase;
}
.text-box h2 {
  font-family: Arial, sans-serif,;
  font-weight: 300;
  font-size: 2vw;
  color: #E31E24;
  margin-top: 15px;
  line-height: 1,8;
}

/***/

#section2{
  background-color: #D63230;
  
}

#section2 .zawartosc{
  background-color: #D63230;
  display: flex;
  min-height: 100vh;
  gap: 20px;
  flex-wrap: wrap;
  justify-content: center;
  
}

#section2 article{
  background-color: #D63230;
  flex: 0 1 300px;
  align-content: center;
  justify-items: center;
}

#section2 article h4{
  font-family: 'Ranchers';
  font-size: 95px;
  color: #FFF2BF;
  text-align: center;
  

}

#section2 article p{
  color: white;
  line-height: 1.2;
}

#section2 a{
  white-space: nowrap;/*blokujemy łamanie wiersza między wyrazami*/
  background-color: #FFF2BF;
  color: #D63230;
  font-family: 'Ranchers';
  font-size: 30px;
  letter-spacing: 0.3cap;
  padding: 5px 50px;
  text-align: center;
  border-radius: 30px;
  justify-content: center;  
}

#section2 a:hover{
  background-color: #FFD83F ;

}

#section2 img {
    max-width: 100%;  /* Obrazek nigdy nie będzie szerszy niż kolumna */
    height: auto;     /* Zachowa proporcje */
    display: block;   /* Usunie zbędne marginesy na dole */
}


#section2 h6{
  animation: animacja-poklatkowa 10s infinite linear;
}

@keyframes animacja-poklatkowa{
  from {
    rotate: 0deg;
  }
  to {
    rotate: 360deg;
  }
}

/****/

#section3{
  background: url(../img/section3.png)
  no-repeat center center fixed;
  background-size: cover;
  
}
#sekction3 .zawartosc{
  display: flex;
  flex: 1;
  position: relative;
  width: 100%;
  margin: auto;
}
#section3 h3{
  font-family: 'Ranchers';
  text-align: center;
  font-size: 10vw;
  color: #FDF1BF;
}

/****/

#section4{
  background-color: #D63230;
}

#section4 .zawartosc{
    background-color: #D63230;
    display: flex; /* włącza flexbox */
    align-items: flex-start;
    justify-content: space-between; /* odstęp między kolumnami */
    gap: 40px;  /* odstęp między obrazkiem i tekstem */
    flex-wrap: wrap-reverse;
    max-width: 1200px;
}

#section4 .kolumna-prawa{
    flex: 1 1 400px;
    
}


#section4 .kolumna-lewa{
  flex: 1 1 400px; /* zajmuje resztę szerokości */
  padding: 20px;
  
  
}


#section4 .kolumna-prawa img{
  max-width: 100%;
  height: auto;
  display: block;
  margin: 0 auto; /*wyśrodkowanie*/
  flex: 1 1 400px;
}


#section4 h1{
  font-family: 'Ranchers';
  margin-bottom: 20px;
  font-size: 100px;
  text-transform: uppercase;
  font-weight: 500;
  color: #FDF1BF;
}


#section4 p{
  margin-bottom: 15px;
  line-height: 1.2;
}

#section4 ol{
  color: #FFD83F;
  margin-left: 20px;
  list-style-type: decimal;
}

/***/

#section5{
  background-color: #FDF1BF;
}

#section5 .zawartosc{}

/***/

#stopka{
  background-color: #FFD83F;
  min-height: 20vh;
  flex-direction: column;
}

#stopka .zawartosc{
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
  gap: 40px;
}

#stopka .poziom{
  display: flex;
  
  align-items: center;
  justify-content: center;
  padding: 0 4vw;
}
#stopka .poziom img{
   max-width: 100px;
    min-width: 50px;
    height: auto;
    object-fit: contain;
}
#stopka .poziom h5{
  font-family: 'Ranchers';
  font-size: 70px;
  padding:  30px;
  color: #D63230;
  text-align: center;
}

#stopka .kolumna{
  flex: 1 1 200px;
  background-color: #FFD83F;
  display: flex;
  flex-direction: column;
  flex: 1 1 250px;
  align-items: center;
  padding: 20px;
}
#stopka .kolumna p{
  text-align: center;
  line-height: 140%;
}
#stopka .kolumna h6{
  font-family: 'Ranchers';
  font-size: 30px;
  color: #D63230;
}
#stopka .kolumna img{
  display: flex;
  flex-direction: row;
  
  /* background-color: aqua; */
}
#stopka input[type="text"]{
  outline: none;
  border: none;
  border-radius: 20px;
  padding: 10px;
}
#stopka input[type="submit"] {
  padding: 5px 50px;
  border: none;
  background-color: #FDF1BF;
  color: #D63230;
  cursor: pointer;
  font-size: 24px;
  font-family: 'Ranchers';
  border-radius: 20px;
  align-items: center;
}
#stopka input[type="submit"]:hover {
  background-color: #D63230;
  color: #FDF1BF;
  border: none;
}

#stopka .social a{

display: inline-block;
line-height: 20px;
padding: 10px;
}
#stopka small{
font-size: smaller;
color: #D63230;
margin-bottom: 30px;
}












